> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post progress report



## OpenAPI

````yaml post /admin/progress_report
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/progress_report:
    post:
      tags:
        - Progress Reports
      summary: Post progress report
      operationId: 9dc46bfe7b4e96e9bdaca4227dda15c5
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - date_from
                - date_to
                - hysform_id
                - program_id
                - pageIndex
                - pageSize
                - type
              properties:
                date_from:
                  type: string
                  format: date
                  example: '2022-01-01'
                date_to:
                  type: string
                  format: date
                  example: '2022-12-31'
                hysform_id:
                  type: string
                  example: '1'
                program_id:
                  type: integer
                  example: 1
                pageIndex:
                  type: integer
                  example: 1
                pageSize:
                  type: integer
                  example: 10
                type:
                  type: string
                  example: donor
                client_id:
                  type: string
                  example: '1'
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  fields:
                    type: array
                    items:
                      type: object
                  organization:
                    type: object
                  forms:
                    type: array
                    items:
                      type: object
                  total:
                    type: integer
                    example: 100
                  profile_fields:
                    type: array
                    items:
                      type: object
                  date_from:
                    type: string
                    format: date
                    example: '2022-01-01'
                  date_to:
                    type: string
                    format: date
                    example: '2022-12-31'
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  errors:
                    type: object
                    example:
                      date_from: The date from field is required.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````